EDIT - bug #9360

Parsed hybrids can not be persisted
12/21/2020 01:26 PM - Andreas Muller

Status: Feedback Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

In Flora of Cyprus | tried to persist a hybrid formula (Aegilops biuncialis x geniculata) but got an NPE in TaxonName.isBotanical()
during persisting the taxon.
Looks like ther is a name without type which should not exist.

| did override an existing unparsed name. Not sure if this is relevant here.
Once this is fixed we should fix data in databases (or wait until they can also be edited in TaxEditor as otherwise there may be some

confusion especially if the parents are names that exist elsewhere in the database and need deduplication. There should be a ticket
for this.)

Related issues:
Related to EDIT - bug #7711: Bugs in media gallery Resolved
Has duplicate EDIT - bug #9149: NPE when saving hybrid formula Duplicate

Associated revisions

Revision 13754873 - 01/26/2021 09:59 AM - Andreas Miiller
ref #9360 preliminary exception for debugging NPE

Revision f8decba5 - 01/26/2021 04:36 PM - Katja Luther

fix #9360: add parsed hybrid names to newly created names while merge taxonnameEditorinput

Revision c1f1372f - 01/27/2021 12:04 AM - Andreas Miiller

fix #9360: fix saving of synonyms being hybrid formulas, some potential NPEs and some cleanup of commented code

Revision 7361927a - 01/27/2021 09:16 AM - Katja Luther
ref #9360: code cleaning

History

#1 - 01/23/2021 02:45 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#2 - 01/23/2021 02:46 AM - Andreas Miiller
- Related to bug #9149: NPE when saving hybrid formula added

#3 - 01/23/2021 02:46 AM - Andreas Miiller
maybe a duplicate for #9149

#4 - 01/26/2021 09:10 AM - Andreas Miiller

A similar issue in test DB

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/taxonnode.service
last remote request client time : 2021-01-26T09:06:01.138

last remote request response header time : Tue, 26 Jan 2021 09:06:01 GMT

client error time : 2021-01-26T09:06:01.341

login : admin
https://dev.e-taxonomy.eu/redmine/issues/9149

editor version

server

schema version

5.19.0.202101252350
test.e-taxonomy.eu
5.18.6.0.20201124

(edit-test) / rem_conf_am

os : Windows Server 2012 R2 6.3 amdo64
at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)
foreCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)
#5 - 01/26/2021 12:24 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 20

Probably the reason is that in TaxEditorinputE4.merge() only the hybrid parents for new parents are pre-saved. But the concept is not new, only the
name has been changed therefore this save does not take place.
Or is there a reason why only the new concepts and synonyms are checked for hybrid parents? Do we can lazyloading issues otherwise?

Katja, can you have a look?

#6 - 01/26/2021 12:43 PM - Andreas Miiller
- Related to deleted (bug #9149: NPE when saving hybrid formula)

#7 - 01/26/2021 12:43 PM - Andreas Miiller
- Has duplicate bug #9149: NPE when saving hybrid formula added
#8 - 01/26/2021 12:46 PM - Andreas Miiller
- Related to bug #7711: Bugs in media gallery added

#9 - 01/26/2021 04:35 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50

Applied in changeset taxeditor|f8decba5d7a4bc8ec562b380190b1534a31c069a.

#10 - 01/27/2021 12:12 PM - Katja Luther

Concepts with hybrid names are already handled correctly, because the list toSaveNewConcepts contains all concepts, | would rename it to
toSaveConcepts.

#11 - 01/27/2021 01:10 PM - Andreas Miiller

Katja Luther wrote:

Concepts with hybrid names are already handled correctly, because the list toSaveNewConcepts contains all concepts, | would rename it to
toSaveConcepts.

But why did we get the save issue for accepted taxa yesterday when editing accepted taxa?

#12 - 01/27/2021 05:27 PM - Andreas Miiller

- Category changed from cdmlib to taxeditor

#13 - 04/30/2021 10:45 PM - Andreas Miiller

- Description updated

#14 - 07/09/2021 03:15 PM - Andreas Miiller

- Status changed from Resolved to Feedback
